c_set_player_limit( -1.0, 1.0 )

dofile("everything.lua")

function LEVEL_start()
	ticker = 0

	icon_start( "island_xp", 0.0, 0.0, 0.0, 200.0, "island", "sway" )
	icon_start( "island_cam", 0.0, 0.0, 0.0, 200.0, "island_cam" )

	icon_start( "bliss-title_new", 0.0, -30.0, 65.0, 30.0, "icon_title", "sway", "ballbounce", "islandsway" )

--	icon_start( "island-diff-easy", -10.0, 10.0, 30.0, 0.5, "icon_bronze", "spin" )
--	icon_start( "island-diff-normal", 0.0, 10.0, 30.0, 0.5, "icon_silver", "spin" )
--	icon_start( "island-diff-hard", 10.0, 10.0, 30.0, 0.5, "icon_gold", "spin" )

	icon_start( "island-flower", 5.0, 0.0, 30.0, 90.0, "icon_flower", "sway-mouth" )
	icon_start( "island-flower", -12.0, 15.0, 30.0, 80.0, "icon_flower", "sway-mouth" )
	icon_start( "island-flower", 10.0, 25.0, 30.0, 60.0, "icon_flower", "sway-mouth" )
	icon_start( "island-flower", 20.0, -10.0, 30.0, 50.0, "icon_flower", "sway-mouth" )
	icon_start( "island-flower", -30.0, -5.0, 30.0, 50.0, "icon_flower", "sway-mouth" )

	fluffy_start()

	player_start( 0.0, 0.0, 0.0 )

--	c_background_music( "bliss_title" )
	c_background_sound( "menu_ambient", 1.0, 0.0, 0.0, 1.0 )
end

function LEVEL_gameloop()
	everying_gameloop()
end

